summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm_kata/host_setup.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2017-12-27 15:25:18 -0500
committerGuo Ruijing <ruijing.guo@intel.com>2017-12-27 18:05:17 -0500
commit891c0a1ab78c4c2f46424fc35c0e99fe0f475c0b (patch)
tree642678e4e5da67e4df2b0c96c6b7b64a936f6f1a /src/vagrant/kubeadm_kata/host_setup.sh
parentc7dbc67c97d227763943e6f1b8fbf063c6775ad8 (diff)
support kata container in container4nfv
deploy k8s/weave + kata container Change-Id: I102bb6ee1ea9abaf164e62b26e3cc16e870d859a Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'src/vagrant/kubeadm_kata/host_setup.sh')
-rw-r--r--src/vagrant/kubeadm_kata/host_setup.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/vagrant/kubeadm_kata/host_setup.sh b/src/vagrant/kubeadm_kata/host_setup.sh
new file mode 100644
index 0000000..f9e1a76
--- /dev/null
+++ b/src/vagrant/kubeadm_kata/host_setup.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+#
+# Copyright (c) 2017 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+cat << EOF | sudo tee /etc/hosts
+127.0.0.1 localhost
+192.168.1.10 master
+192.168.1.21 worker1
+192.168.1.22 worker2
+192.168.1.23 worker3
+EOF
+
+sudo apt-key adv --keyserver hkp://ha.pool.sks-keyservers.net:80 --recv-keys 58118E89F3A912897C070ADBF76221572C52609D
+sudo apt-key adv -k 58118E89F3A912897C070ADBF76221572C52609D
+cat << EOF | sudo tee /etc/apt/sources.list.d/docker.list
+deb [arch=amd64] https://apt.dockerproject.org/repo ubuntu-xenial main
+EOF
+
+curl -s http://packages.cloud.google.com/apt/doc/apt-key.gpg | sudo apt-key add -
+cat <<EOF | sudo tee /etc/apt/sources.list.d/kubernetes.list
+deb http://apt.kubernetes.io/ kubernetes-xenial main
+EOF
+sudo apt-get update
+sudo apt-get install -y --allow-downgrades docker-engine=1.12.6-0~ubuntu-xenial kubelet=1.7.0-00 kubeadm=1.7.0-00 kubectl=1.7.0-00 kubernetes-cni=0.5.1-00
+
+sudo systemctl stop kubelet
+sudo rm -rf /var/lib/kubelet
+sudo systemctl daemon-reload
+sudo systemctl start kubelet